Bug 50336 - ftp hangs during mget
ftp hangs during mget
Product: Red Hat Linux
Classification: Retired
Component: ftp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-30 11:52 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-13 05:29:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-30 11:52:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Windows NT 5.0; U)

Description of problem:
I just did a fresh install of RH 7.1 without installing a firewall.
I connect to my company's network using a modem and PPP.
When I try to download files using mget, ftp will download
several files and then hang.  The ftp will not respond to
Crtl C to interrupt the file transfer.  I have to do a 'kill'
to get rid of it.  Single file transfers with 'get' and 'put'
work fine.
I can download files with 'mget' on my RH 6.2 machine
without problems.  
I use 'ftp -dvi hostname' to connect.  When the ftp
hangs during 'mget' it just stops responding without
any error messages to indicate a problem.

How reproducible:

Steps to Reproduce:
1.ftp -dvi hostname
2.mget *.c

Actual Results:  ftp hangs

Expected Results:  ftp should download all the files matching '*.c'

Additional info:

I do not have a firewall set up and kerberos is not installed.
Comment 1 Need Real Name 2002-01-25 09:21:24 EST
I have this identical problem every since I installed RH7.1 in June 2001.
Both 'mput' and 'mget' show this behavior.  I called RedHat tech. support
and they told me to use a different problem which was a worthless 
suggestion as I have scripts set up for regular distributions that use
I finally gave up and now I tar up my files and just use 'put' and 'get'.
Comment 2 Thomas Woerner 2004-08-13 05:29:59 EDT
Please verify this with a newer version of Red Hat Enterprise Linux or Fedora
Core and reopen it against the new version if it still occurs.

Closing as "not a bug" for now.

Note You need to log in before you can comment on or make changes to this bug.